/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomMediaList_H__
#define __GdomMediaList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomMediaList GdomMediaList;
typedef struct _GdomMediaListClass GdomMediaListClass;


#define GDOM_TYPE_MEDIA_LIST            (gdom_media_list_get_type())
#define GDOM_MEDIA_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_MEDIA_LIST, GdomMediaList))
#define GDOM_MEDIA_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_MEDIA_LIST, GdomMediaList)Class)
#define GDOM_IS_MEDIA_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_MEDIA_LIST))
#define GDOM_IS_MEDIA_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_MEDIA_LIST))
#define GDOM_MEDIA_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_MEDIA_LIST, GdomMediaListClass))

typedef struct _GdomMediaListPrivate GdomMediaListPrivate;

struct _GdomMediaList {
    GdomDOMObject parent_instance;
    GdomMediaListPrivate *priv;
};

struct _GdomMediaListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_media_list_get_type (void);

WEBKIT_API gchar *
gdom_media_list_item (GdomMediaList *thiz, gulong index);

WEBKIT_API void
gdom_media_list_delete_medium (GdomMediaList *thiz, gchar * old_medium);

WEBKIT_API void
gdom_media_list_append_medium (GdomMediaList *thiz, gchar * new_medium);

G_END_DECLS

#endif /* __GdomMediaList_H__ */
